import request from '@/utils/request' //引入axios请求及拦截器
export default {
    //新增课程小节
    addCoursesection(data) {
        return request({
            url: '/course/section',
            method: 'post',
            data
        })
    },
    //删除课程小节
    deleteCoursesection(data) {
        return request({
            url: '/course/section/delete',
            method: 'post',
            data
        })
    },
    //修改课程小节
    editCoursesection(data) {
        return request({
            url: '/course/section/edit',
            method: 'post',
            data
        })
    },
    //查询课程小节列表
    inquireCourseListsection(data) {
        return request({
            url: '/course/section/list',
            method: 'get',
            params: data
        })
    },
    //获取课程小节详细信息
    obtainCoursesection(data) {
        return request({
            url: `/course/section/` + data,
            method: 'get',
        })
    },
}